Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal.util
Class ParserUtils

    java.lang.Object
      org.eclipse.gemini.blueprint.config.internal.util.ParserUtils

    public abstract class ParserUtils

extends Object

Parsing utility class.

Author:
  Andy Piper, Costin Leau

Field Summary
`static String` | `REFERENCE_LISTENER_REF_ATTR`

Constructor Summary
`ParserUtils()`

Method Summary
`static Set<?>` | `convertClassesToStrings(Set<?> parsedClasses)` Utility method used for maintaining backwards compatibility by converting Class objects to String (using their class names).
`static AttributeCallback[]` | `mergeCallbacks(AttributeCallback[] callbacksA, AttributeCallback[] callbacksB)`
`static void` | `parseAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks)` Generic attribute callback.
`static void` | `parseCustomAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback callback)` Derivative for `#parseCustomAttributes(Element, BeanDefinitionBuilder, org.eclipse.gemini.blueprint.internal.config.ParserUtils.AttributeCallback[])` accepting only one `AttributeCallback`.
`static void` | `parseCustomAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks)` Dedicated parsing method that uses the following stack: user given `AttributeCallback`s `StandardAttributeCallback` `PropertyRefAttributeCallback` `ConventionCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFERENCE_LISTENER_REF_ATTR

    public static final String REFERENCE_LISTENER_REF_ATTR

See Also:
  Constant Field Values

Constructor Detail

### ParserUtils

    public ParserUtils()

Method Detail

### parseAttributes

    public static void parseAttributes(Element element,
                                       org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                       AttributeCallback[] callbacks)

  Generic attribute callback. Will parse the given callback array, w/o any standard callback.

  Parameters:
    `element` - XML element
    `builder` - current bean definition builder
    `callbacks` - array of callbacks (can be null/empty)

### parseCustomAttributes

    public static void parseCustomAttributes(Element element,
                                             org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                             AttributeCallback[] callbacks)

  Dedicated parsing method that uses the following stack:
  1. user given `AttributeCallback`s
  2. `StandardAttributeCallback`
  3. `PropertyRefAttributeCallback`
  4. `ConventionCallback`

  Parameters:
    `element` - XML element
    `builder` - current bean definition builder
    `callbacks` - array of callbacks (can be null/empty)

### parseCustomAttributes

    public static void parseCustomAttributes(Element element,
                                             org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                             AttributeCallback callback)

  Derivative for `#parseCustomAttributes(Element, BeanDefinitionBuilder, org.eclipse.gemini.blueprint.internal.config.ParserUtils.AttributeCallback[])` accepting only one `AttributeCallback`.

  Parameters:
    `element` - XML element
    `builder` - current bean definition builder
    `callback` - attribute callback, can be null

### mergeCallbacks

    public static AttributeCallback[] mergeCallbacks(AttributeCallback[] callbacksA,
                                                     AttributeCallback[] callbacksB)

### convertClassesToStrings

    public static Set<?> convertClassesToStrings(Set<?> parsedClasses)

  Utility method used for maintaining backwards compatibility by converting Class objects to String (using their class names). Used by importer and exporter parsing to set the 'interfaces' property.

  Parameters:
    `parsedClasses` - collection of parsed classes
  Returns:
    a collection of converted (if necessary) metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.